Class | SM::PreProcess
In: | rdoc/markup/simple_markup/preprocess.rb
Parent: | Object

Handle common directives that can occur in a block of text:

: include : filename

### Methods

handle new

### Public Class methods

new(input_file_name, include_path)

[Source]

    # File rdoc/markup/simple_markup/preprocess.rb, line 11
        def initialize(input_file_name, include_path)
          @input_file_name = input_file_name
          @include_path = include_path
        end

### Public Instance methods

handle(text) {|directive, param| ...}

Look for common options in a chunk of text. Options that we don’t handle are passed back to our caller as |directive, param|

[Source]

    # File rdoc/markup/simple_markup/preprocess.rb, line 20
        def handle(text)
          text.gsub!(/^([ \t#]*):(\w+):\s*(.+)?\n/) do
            prefix    = $1
            directive = $2.downcase
            param     = $3

            case directive
            when "include"
              filename = param.split[0]
              include_file(filename, prefix)

            else
              yield(directive, param)
            end
          end
        end

[Validate]